package com.akamai.captioning.ampcaptioningsample;

import android.support.v7.app.ActionBarActivity;
import android.support.v4.app.FragmentManager;
import android.os.Bundle;
import android.support.v4.widget.DrawerLayout;

import fragment.EIAFragment;
import fragment.WebVTTFragment;


public class MainActivity extends ActionBarActivity
        implements NavigationDrawerFragment.NavigationDrawerCallbacks {

    /**
     * Fragment managing the behaviors, interactions and presentation of the navigation drawer.
     */
    private NavigationDrawerFragment mNavigationDrawerFragment;

    public final static String LICENSE = "NhuSWQ3vJe56dQfvSvZ44QpAm6YQlyUtVyEx58wdAn1tqktfbYRoB8IwkweNQY7uLi_LQZZN314ZS7hWHKZTtw==";

     @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mNavigationDrawerFragment = (NavigationDrawerFragment)
                getSupportFragmentManager().findFragmentById(R.id.navigation_drawer);

        // Set up the drawer.
        mNavigationDrawerFragment.setUp(
                R.id.navigation_drawer,
                (DrawerLayout) findViewById(R.id.drawer_layout));
    }

    @Override
    public void onNavigationDrawerItemSelected(int position) {
        FragmentManager fragmentManager = getSupportFragmentManager();
        // update the main content by replacing fragments
        switch (position){
            case 0:

                fragmentManager.beginTransaction()
                        .replace(R.id.container, WebVTTFragment.newInstance())
                        .commit();
                break;
            case 1:

                fragmentManager.beginTransaction()
                        .replace(R.id.container, EIAFragment.newInstance())
                        .commit();
                break;
        }


    }
}
